!c Description: 
!c   実験設定名モジュール
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-11-13    作成
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module expname
  implicit none
  save
  character(80) :: ExpTitle
  character(80) :: ExpSrc
  character(80) :: ExpInst 

contains
  subroutine expname_init
    use fileset, only: cfgfile
    
    ! NAMELIST の定義
    NAMELIST /expname/ ExpTitle, ExpSrc, ExpInst
    
    !変数の取り出し
    open (10, FILE=cfgfile)
    read(10, NML=expname)
    close(10)
    
  end subroutine expname_init

end module expname

